import { LowCodeModuleParser, IEvaledModule, LowcodeContext } from './base';
export declare class LifeCycleParser implements LowCodeModuleParser {
    lifeCycle: any;
    onStart(context: LowcodeContext): void;
    parseModule(pageId: string, mod: IEvaledModule): void;
    onEnd(context: LowcodeContext): void;
}
